CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

BeginQuit Event (ActiveX)

2023-1-3 00:13| 发布者: admin| 查看: 174| 评论: 0|来自: AutoCAD

摘要: 在 AutoCAD 会话结束或文档关闭之前触发。

在 AutoCAD 会话结束或文档关闭之前触发。

支持的平台:仅窗口

签名

工 务 局:

object.BeginQuit(Cancel)
对象

类型:应用

计算结果为有效容器对象的对象表达式。在这种情况下,唯一有效的容器是应用程序。

取消

类型:布尔;处理程序的输出

  • True:中止 AutoCAD 的关闭。
  • False:允许继续关闭 AutoCAD。

言论

该事件标志着 AutoCAD 会话的结束。BeginQuit

例子

工 务 局:

Public WithEvents ACADApp As AcadApplication    ' Use with Application Event Examples
Sub Example_AcadApplication_Events()
    ' This example intializes the public variable (ACADApp) which will be used
    ' to intercept AcadApplication Events
    '
    ' The VBA WithEvents statement makes it possible to intercept an generic object
    ' with the events associated with that object.
    '
    ' Before you will be able to trigger any of the AcadApplication events,
    ' you will first need to run this procedure.
    
    ' We could get the application from the ThisDocument object, but that would
    ' require having a drawing open, so we grab it from the system.
    Set ACADApp = GetObject(, "AutoCAD.Application.24")
End Sub

Private Sub ACADApp_BeginQuit(Cancel As Boolean)
    ' This example intercepts an Application BeginQuit event.
    '
    ' This event is triggered when AutoCAD receives a request to shut down.
    '
    ' To trigger this example event:
    '     1) Make sure to run the example that initializes
    '     the public variable (named ACADApp) linked to this event.
    '
    '     2) Close the AutoCAD application

    ' Use the "Cancel" variable to stop the shut down of the application
    If MsgBox("AutoCAD is about to shut down.  Do you want to continue with the shutdown?", _
              vbYesNoCancel + vbQuestion) <> vbYes Then
        Cancel = True
    End If
End Sub

Visual LISP:

Not available

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 10:04

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部